diff --git a/pki/base/java-tools/src/com/netscape/cmstools/GenExtKeyUsage.java b/pki/base/java-tools/src/com/netscape/cmstools/GenExtKeyUsage.java
index af228b9bbd440bc381d851cb91fd8b9b2bc6de78..9fffce3f1c67fed9b144c58abc77007df0dc2414 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/GenExtKeyUsage.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/GenExtKeyUsage.java
@@ -56,7 +56,7 @@ public class GenExtKeyUsage {
             }
 
             // Generate vector of object identifiers from command line
-            Vector oids = new Vector();
+            Vector<ObjectIdentifier> oids = new Vector<ObjectIdentifier>();
 
             for (int i = 1; i < args.length; i++) {
                 ObjectIdentifier oid = new ObjectIdentifier(args[i]);
@@ -68,7 +68,7 @@ public class GenExtKeyUsage {
             DerOutputStream contents = new DerOutputStream();
 
             for (int i = 0; i < oids.size(); i++) {
-                contents.putOID((ObjectIdentifier) oids.elementAt(i));
+                contents.putOID(oids.elementAt(i));
             }
 
             // stuff the object identifiers into a SEQUENCE
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/PrettyPrintCert.java b/pki/base/java-tools/src/com/netscape/cmstools/PrettyPrintCert.java
index 84cc54cbe069379e4120a5e95e8468a9d3226fef..f67f787e1aab7df029b2abfe8ce6802a279dc23d 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/PrettyPrintCert.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/PrettyPrintCert.java
@@ -191,7 +191,7 @@ public class PrettyPrintCert {
                 CertificateSubjectName csn = (CertificateSubjectName)
                     certinfo.get(X509CertInfo.SUBJECT);
 
-                Enumeration en = csn.getElements();
+                Enumeration<String> en = csn.getAttributeNames();
 
                 X500Name   dname = (X500Name) csn.get(CertificateSubjectName.DN_NAME);
 
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/PrettyPrintCrl.java b/pki/base/java-tools/src/com/netscape/cmstools/PrettyPrintCrl.java
index b68f9fbc643d5d506c675f46eca2233b3640a6fa..b072867bbd616dd80561852bfb064465f11ce735 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/PrettyPrintCrl.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/PrettyPrintCrl.java
@@ -91,25 +91,25 @@ public class PrettyPrintCrl {
         try {
             OIDMap.addAttribute(DeltaCRLIndicatorExtension.class.getName(),
                 DeltaCRLIndicatorExtension.OID,
-                DeltaCRLIndicatorExtension.NAME);
+                DeltaCRLIndicatorExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
         try {
             OIDMap.addAttribute(HoldInstructionExtension.class.getName(),
                 HoldInstructionExtension.OID,
-                HoldInstructionExtension.NAME);
+                HoldInstructionExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
         try {
             OIDMap.addAttribute(InvalidityDateExtension.class.getName(),
                 InvalidityDateExtension.OID,
-                InvalidityDateExtension.NAME);
+                InvalidityDateExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
         try {
             OIDMap.addAttribute(IssuingDistributionPointExtension.class.getName(),
                 IssuingDistributionPointExtension.OID,
-                IssuingDistributionPointExtension.NAME);
+                IssuingDistributionPointExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
 
diff --git a/pki/base/silent/src/com/netscape/pkisilent/common/Utilities.java b/pki/base/silent/src/com/netscape/pkisilent/common/Utilities.java
index 192ba0564d70e40015b19ed8720badba9409c203..3d90c84142c16bbfa23009fc185ac4126b3ea3ff 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/common/Utilities.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/common/Utilities.java
@@ -19,7 +19,6 @@ package com.netscape.pkisilent.common;
 
 import java.io.DataInputStream;
 import java.io.FileInputStream;
-import java.util.Enumeration;
 
 import netscape.security.x509.CertificateSerialNumber;
 import netscape.security.x509.CertificateSubjectName;
@@ -32,10 +31,6 @@ import netscape.security.x509.X509CertInfo;
 import com.netscape.osutil.OSUtil;
 
 public class Utilities {
-    private static final String keyValueSeparators = "=: \t\r\n\f";
-    private static final String strictKeyValueSeparators = "=:";
-    private static final String specialSaveChars = " \t\r\n\f";
-    private static final String whiteSpaceChars = " \t\r\n\f";
 
     public Utilities() {// Do nothing
     }
@@ -326,10 +321,7 @@ public class Utilities {
 
             CertificateSubjectName csn1 = (CertificateSubjectName)
                     certinfo.get(X509CertInfo.SUBJECT);
-
-            @SuppressWarnings("unchecked")
-			Enumeration<String> en = csn1.getElements();
-
+            
             X500Name dname = (X500Name) csn1.get(CertificateSubjectName.DN_NAME);
 
             String pp = "";
diff --git a/pki/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java b/pki/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java
index e659da9b9018316635754a636ff76efe90a5b9d4..29a1ffb32ae75e69e4cd32b3c67ca4509c1a1c6c 100644
--- a/pki/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java
+++ b/pki/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java
@@ -954,10 +954,11 @@ public class CryptoUtil {
         throws CryptoManager.NotInitializedException,
                 TokenException {
         CryptoManager cm = CryptoManager.getInstance();
-        Enumeration enums = cm.getAllTokens();
+        @SuppressWarnings("unchecked")
+		Enumeration<CryptoToken> enums = cm.getAllTokens();
 
         while (enums.hasMoreElements()) {
-            CryptoToken token = (CryptoToken) enums.nextElement();
+            CryptoToken token =  enums.nextElement();
             String tokenName = token.getName();
             CryptoStore store = token.getCryptoStore();
             PrivateKey keys[] = store.getPrivateKeys(); 
@@ -979,9 +980,10 @@ public class CryptoUtil {
     public static X509CertImpl[] getAllUserCerts()
         throws CryptoManager.NotInitializedException,
                 TokenException {
-        Vector certs = new Vector();
+        Vector<X509CertImpl> certs = new Vector<X509CertImpl>();
         CryptoManager cm = CryptoManager.getInstance();
-        Enumeration enums = cm.getAllTokens();
+        @SuppressWarnings("unchecked")
+		Enumeration<CryptoToken> enums = cm.getAllTokens();
 
         while (enums.hasMoreElements()) {
             CryptoToken token = (CryptoToken) enums.nextElement();
diff --git a/pki/base/util/src/com/netscape/cmsutil/scep/CRSPKIMessage.java b/pki/base/util/src/com/netscape/cmsutil/scep/CRSPKIMessage.java
index 16406e2a70f67402aac6577c6e866f456c92e2c6..ae93d2b6d2740db68aa99e573a16d5d7fd9bb1f1 100644
--- a/pki/base/util/src/com/netscape/cmsutil/scep/CRSPKIMessage.java
+++ b/pki/base/util/src/com/netscape/cmsutil/scep/CRSPKIMessage.java
@@ -26,6 +26,8 @@ import java.security.PublicKey;
 import java.util.Arrays;
 import java.util.Hashtable;
 
+import netscape.security.pkcs.PKCS10;
+
 import org.mozilla.jss.asn1.ANY;
 import org.mozilla.jss.asn1.ASN1Util;
 import org.mozilla.jss.asn1.INTEGER;
@@ -193,9 +195,9 @@ public class CRSPKIMessage {
     private int            rsdVersion;
     private byte[]         rsdCert;         // certificate to send in response
 
-    private Object         myP10;
+    private PKCS10         myP10;
 
-    private Hashtable      attrs;           // miscellanous
+    private Hashtable<String, Object>      attrs;           // miscellanous
 
     //   *** END *** //
 
@@ -203,7 +205,7 @@ public class CRSPKIMessage {
     public void debug() {
     }
 
-    public void put(Object a, Object b) {
+    public void put(String a, Object b) {
         attrs.put(a, b);
     }
 
@@ -612,11 +614,11 @@ public class CRSPKIMessage {
         return aa_digest.toByteArray();
     }
      
-    public Object getP10() {
+    public PKCS10 getP10() {
         return myP10;
     }
    
-    public void setP10(Object p10) {
+    public void setP10(PKCS10 p10) {
         myP10 = p10;
     }
         
@@ -725,11 +727,11 @@ public class CRSPKIMessage {
     }
 
     public CRSPKIMessage() {
-        attrs = new Hashtable();
+        attrs = new Hashtable<String, Object>();
     }
         
     public CRSPKIMessage (ByteArrayInputStream bais) throws InvalidBERException, Exception {
-        attrs = new Hashtable();
+        attrs = new Hashtable<String, Object>();
         decodeCRSPKIMessage(bais);
     }
 
diff --git a/pki/base/util/src/netscape/security/extensions/AuthInfoAccessExtension.java b/pki/base/util/src/netscape/security/extensions/AuthInfoAccessExtension.java
index 108dab0701aa0f3b04743f0638eaefbb3daceb4c..5f21db5bae0881dbf603c69b5052b19ccae6a192 100644
--- a/pki/base/util/src/netscape/security/extensions/AuthInfoAccessExtension.java
+++ b/pki/base/util/src/netscape/security/extensions/AuthInfoAccessExtension.java
@@ -64,11 +64,8 @@ import netscape.security.x509.URIName;
  * @version $Revision$, $Date$
  */
 public class AuthInfoAccessExtension extends Extension implements CertAttrSet {
-    /**
-     *
-     */
     private static final long serialVersionUID = 7373316523212538446L;
-    public static final String NAME = "AuthInfoAccessExtension";
+
     public static final String NAME2 = "AuthorityInformationAccess";
 
     public static final int OID_OCSP[] = { 1, 3, 6, 1, 5, 5, 7, 48, 1 };
@@ -82,7 +79,7 @@ public class AuthInfoAccessExtension extends Extension implements CertAttrSet {
     public static final int OID[] = { 1, 3, 6, 1, 5, 5, 7, 1, 1 };
     public static final ObjectIdentifier ID = new ObjectIdentifier(OID);
 
-    private Vector mDesc = new Vector();
+    private Vector<AccessDescription> mDesc = new Vector<AccessDescription>();
 
     /**
      * Create the extension from the passed DER encoded value of the same.
@@ -138,17 +135,11 @@ public class AuthInfoAccessExtension extends Extension implements CertAttrSet {
      * Return an enumeration of names of attributes existing within this
      * attribute.
      */
-    public Enumeration getElements() {
+    public Enumeration<String> getAttributeNames() {
         // NOT USED
         return null;
     }
 
-    /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return NAME;
-    }
 
     /**
      * Adds Access Description.
@@ -161,7 +152,7 @@ public class AuthInfoAccessExtension extends Extension implements CertAttrSet {
     }
 
     public AccessDescription getAccessDescription(int pos) {
-        return (AccessDescription) mDesc.elementAt(pos);
+        return mDesc.elementAt(pos);
     }
 
     /**
@@ -192,7 +183,7 @@ public class AuthInfoAccessExtension extends Extension implements CertAttrSet {
 
         for (int i = 0; i < mDesc.size(); i++) {
             DerOutputStream tmp0 = new DerOutputStream();
-            AccessDescription ad = (AccessDescription) mDesc.elementAt(i);
+            AccessDescription ad = mDesc.elementAt(i);
 
             tmp0.putOID(ad.getMethod());
             ad.getLocation().encode(tmp0);
@@ -225,7 +216,7 @@ public class AuthInfoAccessExtension extends Extension implements CertAttrSet {
         String s = super.toString() + "AuthInfoAccess [\n";
 
         for (int i = 0; i < mDesc.size(); i++) {
-            AccessDescription ad = (AccessDescription) mDesc.elementAt(i);
+            AccessDescription ad = mDesc.elementAt(i);
 
             s += "(" + i + ")";
             s += " ";
diff --git a/pki/base/util/src/netscape/security/extensions/CertificateRenewalWindowExtension.java b/pki/base/util/src/netscape/security/extensions/CertificateRenewalWindowExtension.java
index 634e2d57923d121e4b8cef3edd36885a38df28ab..8a1e0a6fd72522eb81acc7e1df3ee281d135d5b2 100644
--- a/pki/base/util/src/netscape/security/extensions/CertificateRenewalWindowExtension.java
+++ b/pki/base/util/src/netscape/security/extensions/CertificateRenewalWindowExtension.java
@@ -45,11 +45,7 @@ import netscape.security.x509.Extension;
  */
 public class CertificateRenewalWindowExtension extends Extension 
     implements CertAttrSet {
-    /**
-     *
-     */
     private static final long serialVersionUID = 4470220533545299271L;
-    public static final String NAME = "CertificateRenewalWindow";
     public static final int OID[] = { 2, 16, 840, 1, 113730, 1, 15};
     public static final ObjectIdentifier ID = new ObjectIdentifier(OID);
 
@@ -79,10 +75,6 @@ public class CertificateRenewalWindowExtension extends Extension
         decodeThis();
     }
 
-    public String getName() {
-        return NAME;
-    }
-
     /**
      * Sets extension attribute.
      */
@@ -116,7 +108,7 @@ public class CertificateRenewalWindowExtension extends Extension
      * Return an enumeration of names of attributes existing within this
      * attribute.
      */
-    public Enumeration getElements() {
+    public Enumeration<String> getAttributeNames() {
         // NOT USED
         return null;
     }
diff --git a/pki/base/util/src/netscape/security/extensions/CertificateScopeOfUseExtension.java b/pki/base/util/src/netscape/security/extensions/CertificateScopeOfUseExtension.java
index b6b8a87ae332be3b5a1ca753e33b519fe25ae325..b50e55d9c668b0ad2f7400acbc69b30ffc1c05e1 100644
--- a/pki/base/util/src/netscape/security/extensions/CertificateScopeOfUseExtension.java
+++ b/pki/base/util/src/netscape/security/extensions/CertificateScopeOfUseExtension.java
@@ -54,7 +54,7 @@ public class CertificateScopeOfUseExtension extends Extension
     public static final int OID[] = { 2, 16, 840, 1, 113730, 1, 17};
     public static final ObjectIdentifier ID = new ObjectIdentifier(OID);
 
-    private Vector mEntries = null;
+    private Vector<CertificateScopeEntry> mEntries = null;
 
     static {
         try {
@@ -64,7 +64,7 @@ public class CertificateScopeOfUseExtension extends Extension
         }
     }
 
-    public CertificateScopeOfUseExtension(boolean critical, Vector scopeEntries)
+    public CertificateScopeOfUseExtension(boolean critical, Vector<CertificateScopeEntry> scopeEntries)
         throws IOException {
         this.extensionId = ID;
         this.critical = critical;
@@ -87,11 +87,7 @@ public class CertificateScopeOfUseExtension extends Extension
         decodeThis();
     }
 
-    public String getName() {
-        return NAME;
-    }
-
-    public Vector getCertificateScopeEntries() {
+    public Vector<CertificateScopeEntry> getCertificateScopeEntries() {
         return mEntries;
     }
 
@@ -128,7 +124,7 @@ public class CertificateScopeOfUseExtension extends Extension
      * Return an enumeration of names of attributes existing within this
      * attribute.
      */
-    public Enumeration getElements() {
+    public Enumeration<String> getAttributeNames() {
         // NOT USED
         return null;
     }
@@ -139,7 +135,7 @@ public class CertificateScopeOfUseExtension extends Extension
         if (val.tag != DerValue.tag_Sequence) {
             throw new IOException("Invalid encoding of CertificateWindow extension");
         }
-        mEntries = new Vector();
+        mEntries = new Vector<CertificateScopeEntry>();
         while (val.data.available() != 0) {
             mEntries.addElement(new CertificateScopeEntry(
                     val.data.getDerValue()));
diff --git a/pki/base/util/src/netscape/security/extensions/ExtendedKeyUsageExtension.java b/pki/base/util/src/netscape/security/extensions/ExtendedKeyUsageExtension.java
index 71ff031ff12ad6581dcb06ed23b7034dc268b86f..73602f6b3e1622849db880b601c80299a67cc9f3 100644
--- a/pki/base/util/src/netscape/security/extensions/ExtendedKeyUsageExtension.java
+++ b/pki/base/util/src/netscape/security/extensions/ExtendedKeyUsageExtension.java
@@ -43,7 +43,6 @@ public class ExtendedKeyUsageExtension extends Extension implements CertAttrSet
      */
     private static final long serialVersionUID = 765403075764697489L;
     public static final String OID = "2.5.29.37";
-    public static final String NAME = OIDMap.EXT_KEY_USAGE_NAME;
     public static final String OID_OCSPSigning = "1.3.6.1.5.5.7.3.9";
     public static final String OID_CODESigning = "1.3.6.1.5.5.7.3.3";
 
@@ -57,13 +56,13 @@ public class ExtendedKeyUsageExtension extends Extension implements CertAttrSet
     public static final ObjectIdentifier OID_CODE_SIGNING = new
         ObjectIdentifier(OID_OCSP_SIGNING_STR);
 
-    private Vector oidSet = null;
+    private Vector<ObjectIdentifier> oidSet = null;
     private byte mCached[] = null;
 
     static {
         try {
             OIDMap.addAttribute(ExtendedKeyUsageExtension.class.getName(),
-                OID, NAME);
+                OID, ExtendedKeyUsageExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
     }
@@ -72,7 +71,7 @@ public class ExtendedKeyUsageExtension extends Extension implements CertAttrSet
         this(false, null);
     }
 
-    public ExtendedKeyUsageExtension(boolean crit, Vector oids) {
+    public ExtendedKeyUsageExtension(boolean crit, Vector<ObjectIdentifier> oids) {
         try {
             extensionId = ObjectIdentifier.getObjectIdentifier(OID);
         } catch (IOException e) {	
@@ -80,9 +79,9 @@ public class ExtendedKeyUsageExtension extends Extension implements CertAttrSet
         }
         critical = crit;
         if (oids != null) {
-            oidSet = (Vector) oids.clone();
+            oidSet = new Vector<ObjectIdentifier>(oids);
         } else {
-            oidSet = new Vector();
+            oidSet = new Vector<ObjectIdentifier>();
         }
         encodeExtValue();
     }
@@ -102,7 +101,7 @@ public class ExtendedKeyUsageExtension extends Extension implements CertAttrSet
         }
     }
     
-    public Enumeration getOIDs() {
+    public Enumeration<ObjectIdentifier> getOIDs() {
         if (oidSet == null)
             return null;
         return oidSet.elements();
@@ -116,7 +115,7 @@ public class ExtendedKeyUsageExtension extends Extension implements CertAttrSet
 
     public void addOID(ObjectIdentifier oid) {
         if (oidSet == null) {
-            oidSet = new Vector();
+            oidSet = new Vector<ObjectIdentifier>();
         }
         
         if (oidSet.contains(oid)) return;
@@ -173,13 +172,10 @@ public class ExtendedKeyUsageExtension extends Extension implements CertAttrSet
         return null;
     }
 
-    public Enumeration getElements() {
+    public Enumeration<String> getAttributeNames() {
         return null;
     }
 
-    public String getName() {
-        return NAME;   
-    }
 
     public void delete(String name) 
         throws CertificateException, IOException {
@@ -194,7 +190,7 @@ public class ExtendedKeyUsageExtension extends Extension implements CertAttrSet
                 );
         }
         if (oidSet == null)
-            oidSet = new Vector();
+            oidSet = new Vector<ObjectIdentifier>();
         while (val.data.available() != 0) {
             DerValue oidVal = val.data.getDerValue();
 
@@ -207,7 +203,7 @@ public class ExtendedKeyUsageExtension extends Extension implements CertAttrSet
         DerOutputStream temp = new DerOutputStream();
  
         if (!oidSet.isEmpty()) {
-            Enumeration oidList = oidSet.elements();
+            Enumeration<ObjectIdentifier> oidList = oidSet.elements();
 
             try {
                 while (oidList.hasMoreElements()) {
diff --git a/pki/base/util/src/netscape/security/extensions/GenericASN1Extension.java b/pki/base/util/src/netscape/security/extensions/GenericASN1Extension.java
index bd0fd7e1f3a2405610b4990b1745318e6fe9cf9f..9caa8dc8a3833c9de92cf627d019fe2b75bdf5e2 100644
--- a/pki/base/util/src/netscape/security/extensions/GenericASN1Extension.java
+++ b/pki/base/util/src/netscape/security/extensions/GenericASN1Extension.java
@@ -34,7 +34,6 @@ import netscape.security.util.BigInt;
 import netscape.security.util.DerOutputStream;
 import netscape.security.util.DerValue;
 import netscape.security.util.ObjectIdentifier;
-
 import netscape.security.x509.CertAttrSet;
 import netscape.security.x509.Extension;
 import netscape.security.x509.OIDMap;
@@ -75,12 +74,13 @@ implements CertAttrSet {
      * Identifier for this attribute, to be used with the
      * get, set, delete methods of Certificate, x509 type.
      */  
-    public static String NAME = null;
+    private String name;
     public static String OID = null;
-    public static Hashtable mConfig = null;
+    public static Hashtable<String, String> mConfig = null;
     public static String pattern = null;
     private int index = 0;
 
+
     // Encode this value
     private void encodeThis() 
         throws IOException, ParseException
@@ -191,11 +191,11 @@ implements CertAttrSet {
      *
      * @param the values to be set for the extension.
      */
-    public GenericASN1Extension(String name, String oid, String pattern, boolean critical, Hashtable config)
+    public GenericASN1Extension(String name, String oid, String pattern, boolean critical, Hashtable<String, String> config)
         throws IOException, ParseException
     {
         ObjectIdentifier tmpid = new ObjectIdentifier(oid);
-        NAME = name;
+        this.name = name;
         OID = oid;
         mConfig = config;
         this.pattern = pattern;
@@ -216,18 +216,18 @@ implements CertAttrSet {
      *
      * @param the values to be set for the extension.
      */
-    public GenericASN1Extension(Hashtable config)
+    public GenericASN1Extension(Hashtable<String, String> config)
         throws IOException, ParseException
     {
         mConfig = config;
         ObjectIdentifier tmpid = new ObjectIdentifier((String)mConfig.get(PROP_OID));
-        NAME = (String)mConfig.get(PROP_NAME);
+        this.name = (String)mConfig.get(PROP_NAME);
         OID = (String)mConfig.get(PROP_OID);
         pattern = (String)mConfig.get(PROP_PATTERN);
         
         try {
             if (OIDMap.getName(tmpid) == null)
-                OIDMap.addAttribute("GenericASN1Extension", OID, NAME);
+                OIDMap.addAttribute("GenericASN1Extension", OID, this.name);
         } catch (CertificateException e) {}
 
         this.extensionId = tmpid;
@@ -323,17 +323,12 @@ implements CertAttrSet {
         out.write(tmp.toByteArray());
     }
 
-    /**
-     * Return the name of this attribute.
-     */
-    public String getName () {
-        return (NAME);
-    }
+  
     /**
      * Set the name of this attribute.
      */
     public void setName (String name) {
-        NAME = name;
+        this.name = name;
     }
     /**
      * Return the OID of this attribute.
@@ -351,7 +346,7 @@ implements CertAttrSet {
      * Return an enumeration of names of attributes existing within this
      * attribute.
      */
-    public Enumeration getElements () {
+    public Enumeration<String> getAttributeNames () {
         Vector<String> elements = new Vector<String>();
         elements.addElement("octet");
 
diff --git a/pki/base/util/src/netscape/security/extensions/InhibitAnyPolicyExtension.java b/pki/base/util/src/netscape/security/extensions/InhibitAnyPolicyExtension.java
index 626d126b4c7b8a20b4909a71d1d9c2bb5b7f34e8..ce1268ad3590f88f4ab51f376ae21f92cd31dacb 100644
--- a/pki/base/util/src/netscape/security/extensions/InhibitAnyPolicyExtension.java
+++ b/pki/base/util/src/netscape/security/extensions/InhibitAnyPolicyExtension.java
@@ -51,14 +51,13 @@ public class InhibitAnyPolicyExtension
      */
     private static final long serialVersionUID = -8963439897419343166L;
     public static final String OID = "2.5.29.54";
-    public static final String NAME = OIDMap.EXT_INHIBIT_ANY_POLICY_NAME;
 
     private BigInt mSkipCerts = new BigInt(-1);
 
     static {
         try {
             OIDMap.addAttribute(InhibitAnyPolicyExtension.class.getName(),
-                OID, NAME);
+                OID, InhibitAnyPolicyExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
     }
@@ -133,13 +132,10 @@ public class InhibitAnyPolicyExtension
         return null;
     }
 
-    public Enumeration getElements() {
+    public Enumeration<String> getAttributeNames() {
         return null;
     }
 
-    public String getName() {
-        return NAME;   
-    }
 
     public void delete(String name) 
         throws CertificateException, IOException {
diff --git a/pki/base/util/src/netscape/security/extensions/KerberosName.java b/pki/base/util/src/netscape/security/extensions/KerberosName.java
index c60ceb0decfc61e6ce9a716cbcd85248dd0834da..0aeda430db54012544e7cc7cc8e23a780f86b0a4 100644
--- a/pki/base/util/src/netscape/security/extensions/KerberosName.java
+++ b/pki/base/util/src/netscape/security/extensions/KerberosName.java
@@ -54,9 +54,9 @@ public class KerberosName {
   
     private String m_realm = null;
     private int m_name_type = 0;
-    private Vector m_name_strings = null;
+    private Vector<String> m_name_strings = null;
 
-    public KerberosName(String realm, int name_type, Vector name_strings) {
+    public KerberosName(String realm, int name_type, Vector<String> name_strings) {
         m_realm = realm;
         m_name_type = name_type;
         m_name_strings = name_strings;
@@ -120,7 +120,7 @@ public class KerberosName {
     }
 
     public static void main(String[] argv) {
-        Vector strings = new Vector();
+        Vector<String> strings = new Vector<String>();
         strings.addElement("name");
         KerberosName k = new KerberosName("realm", 0, strings);
 
diff --git a/pki/base/util/src/netscape/security/extensions/NSCertTypeExtension.java b/pki/base/util/src/netscape/security/extensions/NSCertTypeExtension.java
index e470d4dcf99ff06b121f79f6134d7ce77e10258d..f8b357e8e604cd3465e10871f299e40d8a14cba6 100644
--- a/pki/base/util/src/netscape/security/extensions/NSCertTypeExtension.java
+++ b/pki/base/util/src/netscape/security/extensions/NSCertTypeExtension.java
@@ -62,7 +62,6 @@ public class NSCertTypeExtension extends Extension implements CertAttrSet {
    /**
     * Attribute names.
     */
-   public static final String NAME = "NSCertType";
    public static final String SSL_CLIENT = "ssl_client";
    public static final String SSL_SERVER = "ssl_server";
    public static final String EMAIL = "email";
@@ -116,7 +115,7 @@ public class NSCertTypeExtension extends Extension implements CertAttrSet {
             new MapEntry(OBJECT_SIGNING_CA, 7),
         };
 
-    private static Vector mAttributeNames = new Vector();
+    private static Vector<String> mAttributeNames = new Vector<String>();
 
     static {
         for (int i = 0; i < mMapData.length; ++i) {
@@ -364,16 +363,10 @@ public class NSCertTypeExtension extends Extension implements CertAttrSet {
      * Return an enumeration of names of attributes existing within this
      * attribute.
      */
-    public Enumeration getElements() {
+    public Enumeration<String> getAttributeNames() {
         return mAttributeNames.elements();
     }
 
-    /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return (NAME);
-    }
 
     public static void main(String[] argv) {
     }
diff --git a/pki/base/util/src/netscape/security/extensions/OCSPNoCheckExtension.java b/pki/base/util/src/netscape/security/extensions/OCSPNoCheckExtension.java
index ec3dbbb865793e52de54a250c41b97334995195a..544d59599d7592a98287c2ae1f83b7b5e0dddd51 100644
--- a/pki/base/util/src/netscape/security/extensions/OCSPNoCheckExtension.java
+++ b/pki/base/util/src/netscape/security/extensions/OCSPNoCheckExtension.java
@@ -41,14 +41,13 @@ public class OCSPNoCheckExtension extends Extension implements CertAttrSet {
      */
     private static final long serialVersionUID = -4692759557964594790L;
     public static final String OID = "1.3.6.1.5.5.7.48.1.5";
-    public static final String NAME = "OCSPNoCheckExtension";
 
     private byte mCached[] = null;
 
     static {
         try {
             OIDMap.addAttribute(OCSPNoCheckExtension.class.getName(),
-                OID, NAME);
+                OID, OCSPNoCheckExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
     }
@@ -139,15 +138,11 @@ public class OCSPNoCheckExtension extends Extension implements CertAttrSet {
         return null;
     }
 
-    public Enumeration getElements() {
+    public Enumeration<String> getAttributeNames() {
         // NOT USED
         return null;
     }
 
-    public String getName() {
-        return NAME;   
-    }
-
     public void delete(String name) 
         throws CertificateException, IOException {
         // NOT USED
diff --git a/pki/base/util/src/netscape/security/extensions/PresenceServerExtension.java b/pki/base/util/src/netscape/security/extensions/PresenceServerExtension.java
index 084e1d6969694a1217bacf728a26074422f08e5d..ecd8f4f66ae2392ddbb9f197ea5a17e5852a3663 100644
--- a/pki/base/util/src/netscape/security/extensions/PresenceServerExtension.java
+++ b/pki/base/util/src/netscape/security/extensions/PresenceServerExtension.java
@@ -243,18 +243,11 @@ public class PresenceServerExtension extends Extension implements CertAttrSet
         throw new IOException("Method not to be called directly.");
     }
 
-    public Enumeration getElements () {
+    public Enumeration<String> getAttributeNames () {
 	return null;
     }
 
     /**
-     * Return the name of this attribute.
-     */
-    public String getName () {
-	return "PresenceServerExtension";
-    }
-
-    /**
      * Set the name of this attribute.
      */
     public void setName (String name) {
